Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.eis.adapters.blackbox
Class BlackboxPlatform

`java.lang.Object
DatasourcePlatform
oracle.toplink.eis.EISPlatform
oracle.toplink.eis.adapters.blackbox.BlackboxPlatform`

public class BlackboxPlatform
extends EISPlatform

Defines the blackbox platform. This generates blackbox interaction specs.

Since:
  OracleAS TopLink 10g (10.0.3)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CATALOG` Blackbox interaction spec properties.
`static java.lang.String` | `SCHEMA`

Constructor Summary
`BlackboxPlatform()` Default constructor.

Method Summary
`javax.resource.cci.InteractionSpec` | `buildInteractionSpec(EISInteraction interaction)` Allow the platform to build the interaction spec based on properties defined in the interaction.

Methods inherited from class oracle.toplink.eis.EISPlatform
`appendParameter, buildRows, createDOMRecord, createInputRecord, createOutputRecord, getRecordConverter, getValueFromRecord, isDOMRecordSupported, isIndexedRecordSupported, isMappedRecordSupported, requiresAutoCommit, setDOMInRecord, setIsDOMRecordSupported, setIsIndexedRecordSupported, setIsMappedRecordSupported, setRecordConverter, setRequiresAutoCommit, setShouldConvertDataToStrings, setSupportsLocalTransactions, setValueInRecord, shouldConvertDataToStrings, supportsLocalTransactions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATALOG

    public static java.lang.String CATALOG

  Blackbox interaction spec properties.

### SCHEMA

    public static java.lang.String SCHEMA

Constructor Detail

### BlackboxPlatform

    public BlackboxPlatform()

  Default constructor.

Method Detail

### buildInteractionSpec

    public javax.resource.cci.InteractionSpec buildInteractionSpec(EISInteraction interaction)

  Allow the platform to build the interaction spec based on properties defined in the interaction.
  Overrides:
    `buildInteractionSpec` in class `EISPlatform`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD